WFS - dateTime objects are not recognized

2018-04-04 08:15 PM - Eric Eagle

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26518

Description

On QGIS 3.0.1, dateTime objects that are served via WFS are not recognized, yielding a null field value.  I tested this by connecting 3.0.1

to a WFS feature service with dateTime objects (stored in Oracle, registered as a data store in GeoServer).  Looking at the attribute table

for the layer, all columns holding date&time objects show null.

However upon a direct db connection, date&time objects are loaded in the attribute table correctly (ISO 8601).

History

#1 - 2018-04-04 08:18 PM - Eric Eagle

Eric Eagle wrote:

On QGIS 3.0.1, dateTime objects that are served via WFS are not recognized, yielding a null field value.  I tested this by connecting 3.0.1 to a WFS

feature service with dateTime objects (stored in Oracle, registered as a data store in GeoServer).  Looking at the attribute table for the layer, all

columns holding date&time objects show null.

However upon a direct db connection, date&time objects are loaded in the attribute table correctly (ISO 8601).

I marked this as regression because older versions of QGIS show this data as a string.  That would probably be the fastest way to "fix" it, though it would

create extra encumbrance if one desired to do temporal math.

#2 - 2018-05-31 12:09 PM - Even Rouault

- Status changed from Open to Feedback

Can you point to a WFS server and layer that exhibits the issue ?

Or at the very least provide the output of the DescribeFeatureType and GetFeature WFS requests as files

#3 - 2018-08-16 12:08 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
